Index: /branches/version-2_5-dev/data/class/SC_SmartphoneUserAgent.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_SmartphoneUserAgent.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class/SC_SmartphoneUserAgent.php	(revision 19661)
@@ -0,0 +1,100 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+require_once(dirname(__FILE__) . '/../module/Net/UserAgent/Mobile.php');
+
+/**
+ * スマートフォンの情報を扱うクラス
+ *
+ */
+class SC_SmartphoneUserAgent {
+
+    /**
+     * スマートフォンかどうかを判別する。
+     * $_SESSION['pc_disp'] = true の場合はPC表示。
+     *
+     * @return boolean
+     */
+    function isSmartphone() {
+        $nu = new Net_UserAgent_Mobile();
+        // SPでかつPC表示OFFの場合
+        return $nu->isSmartphone() && !SC_SmartphoneUserAgent::getSmartphonePcFlag();
+    }
+
+    /**
+     * スマートフォンかどうかを判別する。
+     *
+     * @return boolean
+     */
+    function isNonSmartphone() {
+        return !SC_SmartphoneUserAgent::isSmartphone();
+    }
+
+    /**
+     * PC表示フラグの取得
+     *
+     * @return string
+     */
+    function getSmartphonePcFlag() {
+        $_SESSION['pc_disp'] = empty($_SESSION['pc_disp']) ? false : $_SESSION['pc_disp'];
+        return $_SESSION['pc_disp'];
+    }
+
+    /**
+     * PC表示ON
+     */
+    function setPcDsiplayOn() {
+        $_SESSION['pc_disp'] = true;
+    }
+
+    /**
+     * PC表示OFF
+     */
+    function setPcDsiplayOff() {
+        $_SESSION['pc_disp'] = false;
+    }
+
+    /**
+     * スマートフォン端末の判定とリダイレクト
+     *
+     * @return void
+     */
+    function sfAutoRedirectSmartphoneSite() {
+        // SPでない場合は、処理しない
+        if (SC_SmartphoneUserAgent::isNonSmartphone()) return;
+
+
+        $url = SC_Utils_Ex::sfIsHTTPS()
+            ? SPHONE_SSL_URL
+            : SPHONE_SITE_URL
+        ;
+
+        $url .= (preg_match('|^' . URL_DIR . '(.*)$|', $_SERVER['REQUEST_URI'], $matches))
+            ? $matches[1]
+            : ''
+        ;
+
+        header("Location: ". SC_Utils_Ex::sfRmDupSlash($url));
+        exit;
+    }
+}
+?>
Index: /branches/version-2_5-dev/data/class/SC_Response.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Response.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class/SC_Response.php	(revision 19661)
@@ -0,0 +1,162 @@
+<?php
+// TODO GPLのあれ
+class SC_Response{
+
+    /**
+     *
+     * @var HTTP_Response
+     */
+    var $http;
+    /**
+     * コンテンツタイプ
+     * Enter description here ...
+     * @var unknown_type
+     */
+    var $contentType;
+    var $body;
+    var $statuscode;
+    var $header = array();
+
+    var $statusTexts = array(
+    '100' => 'Continue',
+    '101' => 'Switching Protocols',
+    '200' => 'OK',
+    '201' => 'Created',
+    '202' => 'Accepted',
+    '203' => 'Non-Authoritative Information',
+    '204' => 'No Content',
+    '205' => 'Reset Content',
+    '206' => 'Partial Content',
+    '300' => 'Multiple Choices',
+    '301' => 'Moved Permanently',
+    '302' => 'Found',
+    '303' => 'See Other',
+    '304' => 'Not Modified',
+    '305' => 'Use Proxy',
+    '306' => '(Unused)',
+    '307' => 'Temporary Redirect',
+    '400' => 'Bad Request',
+    '401' => 'Unauthorized',
+    '402' => 'Payment Required',
+    '403' => 'Forbidden',
+    '404' => 'Not Found',
+    '405' => 'Method Not Allowed',
+    '406' => 'Not Acceptable',
+    '407' => 'Proxy Authentication Required',
+    '408' => 'Request Timeout',
+    '409' => 'Conflict',
+    '410' => 'Gone',
+    '411' => 'Length Required',
+    '412' => 'Precondition Failed',
+    '413' => 'Request Entity Too Large',
+    '414' => 'Request-URI Too Long',
+    '415' => 'Unsupported Media Type',
+    '416' => 'Requested Range Not Satisfiable',
+    '417' => 'Expectation Failed',
+    '500' => 'Internal Server Error',
+    '501' => 'Not Implemented',
+    '502' => 'Bad Gateway',
+    '503' => 'Service Unavailable',
+    '504' => 'Gateway Timeout',
+    '505' => 'HTTP Version Not Supported',
+    );
+
+
+    /**
+     *
+     * Enter description here ...
+     */
+    var $encoding;
+
+    function SC_Response(){
+    }
+
+    function response(){
+        $this->sendHeader();
+                
+        echo $this->body;
+    }
+
+    function sendHeader(){
+        // HTTPのヘッダ
+        //        header('HTTP/1.1 '.$this->statuscode.' '.$this->statusTexts[$this->statuscode]);
+        foreach ($this->header as $name => $head){
+            header($name.': '.$head);
+        }
+    }
+
+
+    function setContentType(String $contentType){
+        $this->header['Content-Type'] = $contentType;
+    }
+
+    function setResposeBody(String $body){
+        $this->body = $body;
+    }
+
+    /* function addDateHdeader(String $name, $date){
+     *
+     * }
+     */
+
+    function addHeader(String $name, $value){
+        $this->header[$name] = $value;
+    }
+
+    function containsHeader(String $name){
+        return isset($this->header[$name]);
+    }
+
+    function sendError( $errorcode){
+        header('HTTP/1.1 '.$errorcode.' '.$this->statusTexts[$errorcode]);
+    }
+
+    function sendRedirect(String $location){
+        if (preg_match("/(" . preg_quote(SITE_URL, '/')
+                          . "|" . preg_quote(SSL_URL, '/') . ")/", $location)) {
+
+            $netURL = new Net_URL($location);
+            if (!empty($_SERVER['QUERY_STRING'])) {
+                $netURL->addRawQueryString($_SERVER['QUERY_STRING']);
+            }
+
+            $session = SC_SessionFactory::getInstance();
+            if (SC_MobileUserAgent::isMobile() || $session->useCookie() == false) {
+                $netURL->addQueryString(session_name(), session_id());
+            }
+
+            $netURL->addQueryString(TRANSACTION_ID_NAME, SC_Helper_Session_Ex::getToken());
+            header("Location: " . $netURL->getURL());
+            exit;
+        }
+        return false;
+    }
+
+    function reload(Array $queryString = array(), $removeQueryString = false) {
+        // 現在の URL を取得
+        $netURL = new Net_URL($_SERVER['REQUEST_URI']);
+
+        if ($removeQueryString) {
+            $netURL->querystring = array();
+            $_SERVER['QUERY_STRING'] = ''; // sendRedirect() での処理用らしい
+        }
+
+        // QueryString を付与
+        if (!empty($queryString)) {
+            foreach ($queryString as $key => $val) {
+                $netURL->addQueryString($key, $val);
+            }
+        }
+
+        $this->sendRedirect($netURL->getURL());
+    }
+
+    function setHeader(Array $headers){
+        $this->header = $headers;
+    }
+
+    function setStatus( $sc = 202){
+        $this->statuscode = $sc;
+    }
+
+}
Index: /branches/version-2_5-dev/data/class/SC_Plugin.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Plugin.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class/SC_Plugin.php	(revision 19661)
@@ -0,0 +1,84 @@
+<?php
+
+class SC_Plugin
+{
+
+    /**
+     *
+     * plugin_path
+     * @var String
+     */
+    var $path;
+
+    function SC_Plugin(){
+        $this->__construct();
+    }
+
+    function __construct(){
+        if(!defined(PLUGIN_PATH)){
+            define("PLUGIN_PATH",HTML_PATH."/user_data/plugins/");
+        }
+        $this->init();
+    }
+
+    function init(){
+
+
+    }
+
+    function enable($classname){
+
+    }
+
+    function getVersion(){
+
+    }
+
+    function getName(){
+
+    }
+
+    function process(){
+
+    }
+
+    function mobileprocess(){
+
+    }
+
+    function install(){
+
+    }
+
+    function uninstall(){
+
+    }
+
+    function disablePlugin(){
+        $objQuery = new SC_Query();
+        $name = preg_replace("/.php/", "", __FILE__);
+        $objQuery->update("dtb_plugin", array('enable'=>'0'), "plugin_name = ?", array($name));
+    }
+
+    function enablePlugin(){
+        $objQuery = new SC_Query();
+        $name = preg_replace("/.php/", "", __FILE__);
+        $objQuery->update("dtb_plugin", array('enable'=>'0'), "plugin_name = ?", array($name));
+    }
+
+
+    /**
+     *
+     * @return String インストール用のSQL
+     */
+    function getInstallSQL(){
+
+    }
+
+
+    function getUninstallSQL(){
+
+    }
+
+
+}
Index: /branches/version-2_5-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_5-dev/data/class/util/SC_Utils.php	(revision 19547)
+++ /branches/version-2_5-dev/data/class/util/SC_Utils.php	(revision 19661)
@@ -395,4 +395,6 @@
 
     function sfCSVDownload($data, $prefix = ""){
+echo "sfGetCSVData()に移行してね。";
+exit;
 
         if($prefix == "") {
@@ -415,4 +417,20 @@
         /* データを出力 */
         echo $data;
+    }
+
+    function sfGetCSVData($data, $prefix = ""){
+        if($prefix == "") {
+            $dir_name = SC_Utils::sfUpDirName();
+            $file_name = $dir_name . date("ymdHis") .".csv";
+        } else {
+            $file_name = $prefix . date("ymdHis") .".csv";
+        }
+
+        if (mb_internal_encoding() == CHAR_CODE){
+            $data = mb_convert_encoding($data,'SJIS-Win',CHAR_CODE);
+        }
+
+        /* データを出力 */
+        return array($file_name, $data);
     }
 
Index: /branches/version-2_5-dev/data/class/SC_Display.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Display.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class/SC_Display.php	(revision 19661)
@@ -0,0 +1,139 @@
+<?php
+// TODO GPLのあれ
+class SC_Display{
+
+    var $response;
+
+    var $device;
+
+    var $autoSet;
+
+    /**
+     *
+     * @var SC_View
+     */
+    var $view;
+        
+    var $deviceSeted = false;
+    
+    // TODO php4を捨てたときに ここのコメントアウトを外してね。
+    /*
+    * const('MOBILE',1);
+    * const('SMARTPHONE',2);
+    * const('PC',4);
+    * const('ADMIN',8);
+    */
+    function SC_Display($setPrevURL=true,$autoGenerateHttpHeaders = true){
+        require_once(CLASS_EX_PATH."/SC_Response_Ex.php");
+        $this->response = new SC_Response_Ex();
+        $this->autoSet = $autoGenerateHttpHeaders;
+        if ($setPrevURL) {
+            $this->setPrevURL();
+        }
+    }
+    
+    function setPrevURL(){
+        $objCartSess = new SC_CartSession();
+        $objCartSess->setPrevURL($_SERVER['REQUEST_URI']);
+
+    }
+
+
+    // TODO このメソッドは、レスポンスを返すためのメソッドです。名前を絶対に変えましょう。
+    /**
+    *
+    * @param $page LC_Page
+    */
+    function hoge(LC_Page $page, $is_admin = false){
+        if(!$this->deviceSeted || !is_null($this->view)){
+            $device = ($is_admin) ? 8 : $this->detectDevice();
+            $this->setDevice($device);
+        }
+        $this->assignobj($page);
+        $this->response->setResposeBody($this->view->getResponse($page->getTemplate()));
+    }
+    
+    function redirect($location){
+        $this->response->sendRedirect($location);
+    }
+    
+    function reload($queryString = array(), $removeQueryString = false){
+        $this->response->reload($queryString, $removeQueryString);
+    }
+    
+    function noAction(){    
+        return;
+    }
+    
+    function addHeader(String $name,String $value){
+        $this->response->addHeader($name, $value);
+    }
+
+    /**
+     * デバイス毎の出力方法を自動で変更する、ファサード
+     * Enter description here ...
+     */
+    function setDevice($device=4){
+        
+        switch ($device){
+            case 1:
+                $this->response->setContentType("text/html");
+                $this->setView(new SC_MobileView());
+                break;
+            case 2:
+                //                $this->view = new
+                break;
+            case 4:
+                $this->setView(new SC_SiteView());
+                break;
+            case 8:
+                $this->setView(new SC_AdminView());
+        }
+        $this->deviceSeted = true;
+    }
+    
+    function setView(SC_View $view){
+        
+        $this->view = $view;
+    }
+
+    /**
+     * 機種を判別する。
+     * SC_Display::MOBILE = ガラケー = 1
+     * SC_Display::SMARTPHONE = スマホ = 2
+     * SC_Display::PC = PC = 4
+     * ※PHP4の為にconstは使っていません。 1がガラケーで、2がスマホで4がPCです。
+     * @return
+     */
+    function detectDevice(){
+        $nu = new Net_UserAgent_Mobile();
+        $su = new SC_SmartphoneUserAgent();
+        $retDevice = 0;
+        if($nu->isMobile()){
+            $retDevice = 1;
+        }elseif ($su->isSmartphone()){
+            $retDevice = 2;
+        }else{
+            $retDevice = 4;
+        }
+
+        if($this->autoSet){
+            $this->setDevice($retDevice);
+        }
+        return $retDevice;
+    }
+
+    function assign($val1,$val2){
+        $this->view->assign($val1, $val2);
+    }
+
+    function assignobj($obj){
+        $this->view->assignobj($obj);
+    }
+
+    function assignarray($array){
+        $this->view->assignarray($array);
+    }
+
+
+}
Index: /branches/version-2_5-dev/data/class/SC_View.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_View.php	(revision 19547)
+++ /branches/version-2_5-dev/data/class/SC_View.php	(revision 19661)
@@ -118,6 +118,31 @@
 
     // テンプレートの処理結果を取得
-    function fetch($template) {
+    function fetch($template, $no_error=false) {
         return $this->_smarty->fetch($template);
+    }
+
+    /**
+     * SC_Display用にレスポンスを返す
+     * @global string $GLOBAL_ERR
+     * @param array $template
+     * @param boolean $no_error
+     * @return string
+     */
+    function getResponse($template, $no_error = false) {
+        if(!$no_error) {
+            global $GLOBAL_ERR;
+            if(!defined('OUTPUT_ERR')) {
+                // GLOBAL_ERR を割り当て
+                $this->assign("GLOBAL_ERR", $GLOBAL_ERR);
+                define('OUTPUT_ERR','ON');
+            }
+        }
+        $res =  $this->_smarty->fetch($template);
+        if(ADMIN_MODE == '1') {
+            $time_end = SC_Utils_Ex::sfMicrotimeFloat();
+            $time = $time_end - $this->time_start;
+            $res .= '処理時間: ' . sprintf('%.3f', $time) . '秒';
+        }
+        return $res;
     }
 
@@ -137,5 +162,5 @@
             $time_end = SC_Utils_Ex::sfMicrotimeFloat();
             $time = $time_end - $this->time_start;
-            echo '処理時間: ' . sprintf('%.3f', $time) . 秒;
+            echo '処理時間: ' . sprintf('%.3f', $time) . '秒';
         }
     }
@@ -144,5 +169,5 @@
       function assignobj($obj) {
         $data = get_object_vars($obj);
-
+        
         foreach ($data as $key => $value){
             $this->_smarty->assign($key, $value);
@@ -172,6 +197,4 @@
         $this->_smarty->debugging = $var;
     }
-
-
 }
 
@@ -225,3 +248,11 @@
     }
 }
+
+class SC_SmartphoneView extends SC_SiteView {
+    function SC_SmartphoneView($setPrevURL = true) {
+        parent::SC_SiteView($setPrevURL);
+        $this->_smarty->template_dir = SMARTPHONE_TEMPLATE_DIR;
+        $this->_smarty->compile_dir = SMARTPHONE_COMPILE_DIR;
+    }
+}
 ?>
Index: /branches/version-2_5-dev/data/class/pages/LC_Page.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page.php	(revision 19661)
@@ -73,4 +73,7 @@
     var $transactionid;
 
+    /** テンプレート名 */
+    var $template;
+
     // }}}
     // {{{ functions
@@ -86,4 +89,13 @@
         $layout = new SC_Helper_PageLayout_Ex();
         $layout->sfGetPageLayout($this, false);
+
+        $this->template = SITE_FRAME;
+
+        // ディスプレイクラス生成
+        $this->objDisplay = new SC_Display();
+
+        // プラグインクラス生成
+        // $this->objPlugin = new SC_Helper_Plugin_Ex();
+        // $this->objPlugin->preProcess($this);
     }
 
@@ -96,4 +108,41 @@
 
     /**
+     * Page のプロセス.(モバイル）
+     *
+     * @return void
+     */
+    function mobileProcess() {}
+
+    /**
+     * Page のレスポンス送信.
+     *
+     * @return void
+     */
+    function sendResponse() {
+        // post-prosess処理(暫定的)
+        //$this->objPlugin->process($this);
+
+        $this->objDisplay->hoge($this);
+        $this->objDisplay->response->response();
+    }
+
+    /**
+     * Page のレスポンス送信(ダウンロード).
+     *
+     * @return void
+     */
+    function sendResponseCSV($file_name, $data) {
+        $this->objDisplay->hoge($this);
+        $this->objDisplay->addHeader("Content-disposition", "attachment; filename=${file_name}");
+        $this->objDisplay->addHeader("Content-type", "application/octet-stream; name=${file_name}");
+        $this->objDisplay->addHeader("Cache-Control", "");
+        $this->objDisplay->addHeader("Pragma", "");
+
+        $this->objDisplay->response->body = $data;
+        $this->objDisplay->response->response();
+        exit;
+    }
+
+    /**
      * デストラクタ.
      *
@@ -101,4 +150,20 @@
      */
     function destroy() {}
+
+    /**
+     * テンプレート取得
+     *
+     */
+    function getTemplate() {
+        return $this->template;
+    }
+
+    /**
+     * テンプレート設定(ポップアップなどの場合)
+     *
+     */
+    function setTemplate($template) {
+        $this->template = $template;
+    }
 
     /**
@@ -115,4 +180,6 @@
      */
     function sendRedirect($url, $isMobile = false) {
+echo "SC_Response.php::sendRedirect()に移行してね。";
+exit;
 
         if (preg_match("/(" . preg_quote(SITE_URL, '/')
@@ -159,4 +226,6 @@
      */
     function getToken() {
+echo "SC_Helper_Session.php::getToken()に移行してね。";
+exit;
         if (empty($_SESSION[TRANSACTION_ID_NAME])) {
             $_SESSION[TRANSACTION_ID_NAME] = $this->createToken();
@@ -176,4 +245,6 @@
      */
     function isValidToken() {
+echo "SC_Helper_Session.php::isValidToken()に移行してね。";
+exit;
 
         $checkToken = "";
@@ -296,4 +367,6 @@
      */
     function reload($queryString = array(), $removeQueryString = false) {
+echo "SC_Display.php::reload()に移行してね。";
+exit;
 
         // 現在の URL を取得
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 18840)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage.php	(revision 19661)
@@ -65,6 +65,17 @@
      */
     function process() {
-
-        $objView = new SC_SiteView();
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+    
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
+
+        //$objView = new SC_SiteView();
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
@@ -117,6 +128,6 @@
         $objDb = new SC_Helper_DB_Ex();
         $this->arrPayment = $objDb->sfGetIDValueList("dtb_payment", "payment_id", "payment_method");
-        $objView->assignobj($this);				//$objpage内の全てのテンプレート変数をsmartyに格納
-        $objView->display(SITE_FRAME);				//パスとテンプレート変数の呼び出し、実行
+        //$objView->assignobj($this);				//$objpage内の全てのテンプレート変数をsmartyに格納
+        //$objView->display(SITE_FRAME);				//パスとテンプレート変数の呼び出し、実行
     }
 
@@ -127,4 +138,5 @@
      */
     function mobileInit() {
+        $this->init();
         $this->tpl_mainpage = 'mypage/index.tpl';
         $this->tpl_title = 'MYページ/購入履歴一覧';
@@ -138,5 +150,16 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+    
+    /**
+     * Page のAction(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
+        //$objView = new SC_MobileView();
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
@@ -181,5 +204,5 @@
                     if (!$objMobile->gfIsMobileMailAddress($objCustomer->getValue('email'))) {
                         if (!$objCustomer->hasValue('email_mobile')) {
-                            $this->sendRedirect($this->getLocation("../entry/email_mobile.php"), true);
+                            $this->objDisplay->redirect($this->getLocation("../entry/email_mobile.php"));
                             exit;
                         }
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 19659)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_History.php	(revision 19661)
@@ -63,5 +63,16 @@
      */
     function process() {
-        $objView = new SC_SiteView();
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
+        //$objView = new SC_SiteView();
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
@@ -109,6 +120,6 @@
         $this->tpl_arrMailHistory = $this->lfGetMailHistory($orderId);
 
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
@@ -128,4 +139,5 @@
      */
     function mobileInit() {
+        $this->init();
         $this->tpl_mainpage = MOBILE_TEMPLATE_DIR . 'mypage/history.tpl';
         $this->tpl_title = 'MYページ/購入履歴一覧';
@@ -139,7 +151,18 @@
      */
     function mobileProcess() {
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         define ("HISTORY_NUM", 5);
 
-        $objView = new SC_MobileView();
+        //$objView = new SC_MobileView();
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
@@ -192,6 +215,6 @@
 
         $this->tpl_strnavi = $previous . $bar . $next;
-        $objView->assignobj($this);				//$objpage内の全てのテンプレート変数をsmartyに格納
-        $objView->display(SITE_FRAME);				//パスとテンプレート変数の呼び出し、実行
+        //$objView->assignobj($this);				//$objpage内の全てのテンプレート変数をsmartyに格納
+        //$objView->display(SITE_FRAME);				//パスとテンプレート変数の呼び出し、実行
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 18840)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Refusal.php	(revision 19661)
@@ -59,5 +59,16 @@
      */
     function process() {
-        $objView = new SC_SiteView();
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
+        //$objView = new SC_SiteView();
         $objCustomer = new SC_Customer();
         $objQuery = new SC_Query();
@@ -106,10 +117,10 @@
             $objCustomer->EndSession();
             //完了ページへ
-            $this->sendRedirect($this->getLocation("./refusal_complete.php"));
+            $this->objDisplay->redirect($this->getLocation("./refusal_complete.php"));
             exit;
         }
 
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
@@ -120,4 +131,5 @@
      */
     function mobileInit() {
+        $this->init();
         $this->tpl_mainpage = 'mypage/refusal.tpl';
         $this->tpl_title = "MYページ/退会手続き(入力ページ)";
@@ -131,5 +143,17 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
+
+        //$objView = new SC_MobileView();
         $objCustomer = new SC_Customer();
         $objQuery = new SC_Query();
@@ -146,5 +170,5 @@
 
         if (isset($_POST['no'])) {
-            $this->sendRedirect($this->getLocation(DIR_INDEX_URL), true);
+            $this->objDisplay->redirect($this->getLocation(DIR_INDEX_URL));
             exit;
         } elseif (isset($_POST['complete'])){
@@ -155,10 +179,10 @@
             $objCustomer->EndSession();
             //完了ページへ
-            $this->sendRedirect($this->getLocation("./refusal_complete.php"), true);
+            $this->objDisplay->redirect($this->getLocation("./refusal_complete.php"));
             exit;
         }
 
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 18845)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Delivery.php	(revision 19661)
@@ -63,5 +63,16 @@
      */
     function process() {
-        $objView = new SC_SiteView();
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
+        //$objView = new SC_SiteView();
         $objCustomer = new SC_Customer();
         
@@ -114,6 +125,6 @@
         $this->tpl_linemax = count($this->arrOtherDeliv);;
 
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php	(revision 18827)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_HistoryDetail.php	(revision 19661)
@@ -52,5 +52,15 @@
      */
     function process() {
+        parent::process();
+        $this->action();
+        $this->sendResponse();
     }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {}
 
     /**
@@ -60,4 +70,5 @@
      */
     function mobileInit() {
+        $this->init();
         $this->tpl_mainpage = 'mypage/history_detail.tpl';
         $this->tpl_title = 'MYページ';
@@ -71,5 +82,17 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
+
+        //$objView = new SC_MobileView();
         $objQuery = new SC_Query();
         $objCustomer = new SC_Customer();
@@ -102,6 +125,6 @@
         }
 
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 18853)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 19661)
@@ -73,5 +73,16 @@
      */
     function process() {
-        $objView = new SC_SiteView();
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+    
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
+        //$objView = new SC_SiteView();
         $this->objQuery = new SC_Query();
         $this->objCustomer = new SC_Customer();
@@ -180,5 +191,5 @@
 
                 //完了ページへ
-                $this->sendRedirect($this->getLocation("./change_complete.php"));
+                $this->objDisplay->redirect($this->getLocation("./change_complete.php"));
                 exit;
             } else {
@@ -201,6 +212,6 @@
         }
 
-        $objView->assignobj($this);             //$objpage内の全てのテンプレート変数をsmartyに格納
-        $objView->display(SITE_FRAME);              //パスとテンプレート変数の呼び出し、実行
+        //$objView->assignobj($this);             //$objpage内の全てのテンプレート変数をsmartyに格納
+        //$objView->display(SITE_FRAME);              //パスとテンプレート変数の呼び出し、実行
 
 
@@ -213,4 +224,5 @@
      */
     function mobileInit() {
+        $this->init();
         $this->tpl_mainpage = 'mypage/change.tpl';		// メインテンプレート
         $this->tpl_title .= '登録変更(1/3)';			// ページタイトル
@@ -231,7 +243,18 @@
      */
     function mobileProcess() {
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         $objDb = new SC_Helper_DB_Ex();
         $CONF = $objDb->sf_getBasisData();					// 店舗基本情報
-        $objView = new SC_MobileView();
+        //$objView = new SC_MobileView();
         
         // 生年月日選択肢の取得
@@ -385,5 +408,5 @@
                         $this->objCustomer->updateSession();
                         //完了ページへ
-                        $this->sendRedirect($this->getLocation("./change_complete.php"), true);
+                        $this->objDisplay->redirect($this->getLocation("./change_complete.php"));
                         exit;
                     } else {
@@ -400,6 +423,6 @@
 
         //---- ページ表示
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_LoginCheck.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_LoginCheck.php	(revision 18743)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_LoginCheck.php	(revision 19661)
@@ -55,4 +55,15 @@
      */
     function process() {
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
         $objCustomer = new SC_Customer();
         // クッキー管理クラス
@@ -90,5 +101,5 @@
 
             if($objCustomer->getCustomerDataFromEmailPass($arrForm['mypage_login_pass'], $arrForm['mypage_login_email'], true)) {
-                $this->sendRedirect($this->getLocation(DIR_INDEX_URL, array(), true));
+                $this->objDisplay->redirect($this->getLocation(DIR_INDEX_URL, array(), true));
                 exit;
             } else {
